<?php
class TagAction extends HomeAction{
    public function chanpin(){
		$this->tagall('chanpin');
		$this->display('gxl_chanpintag');
    }
    public function news(){
		$this->tagall('news');
		$this->display('gxl_newstag');
    }
	public function zhaopin(){
		$this->tagall('zhaopin');
		$this->display('gxl_newstag');
    }
	public function tagall($sidname = 'chanpin'){
		//通过地址栏参数支持筛选条件,$JumpUrl传递分页及跳转参数
		$Url = ff_param_url();
		$JumpUrl = ff_param_jump($Url);
		$JumpUrl['p'] = '{!page!}';
		C('jumpurl',UU('Home-tag/'.$sidname,$JumpUrl,false,true));	
		C('currentpage',$Url['page']);
		//变量赋值
		$tag_list = $this->Lable_Tags($Url);
		$this->assign($tag_list);	
	}	
}
?>